<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: functions.php
| Author: MarcusG
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

function album_set($field) {
	$data = dbarray(dbquery("SELECT * FROM ".DB_SA_SETTINGS.""));
	$value = $data[$field];
	return $value;
}

function user_set($field, $id) {
	$data = dbarray(dbquery("SELECT ".$field." FROM ".DB_USER_SALBUM." WHERE sa_user_id='".$id."'"));
	$value = $data[$field];
	return $value;
}

function getStyle($id) {
	$data = dbarray(dbquery("SELECT sa_design FROM ".DB_USER_SALBUM." WHERE sa_user_id='".$id."'"));
	$value = $data['sa_design'];
	return $value;
}

function getBG($id) {
	$data = dbarray(dbquery("SELECT sa_design_bg FROM ".DB_USER_SALBUM." WHERE sa_user_id='".$id."'"));
	$value = $data['sa_design_bg'];
	return $value;
}

function check_collected($id) {
	global $userdata;
	$userAvatars = array();
	$getAlbum = dbarray(dbquery("SELECT * FROM ".DB_USER_SALBUM." WHERE sa_user_id='".$userdata['user_id']."'"));
	$userAvatars = explode(".", $getAlbum['sa_avatars']);
	if (in_array($id, $userAvatars)) {
		return true;
	} else {
		return false;
	}
}

function check_doppelt($id) {
	global $userdata;
	$userDuplicates = array();
	$getAlbum = dbarray(dbquery("SELECT * FROM ".DB_USER_SALBUM." WHERE sa_user_id='".$userdata['user_id']."'"));
	$userDuplicates = explode(".", $getAlbum['sa_doppelt']);
	if (in_array($id, $userDuplicates)) {
		return true;
	} else {
		return false;
	}
}

function check_tausch($id) {
	global $userdata;
	$userDuplicates = array();
	$getAlbum = dbarray(dbquery("SELECT * FROM ".DB_USER_SALBUM." WHERE sa_user_id='".$userdata['user_id']."'"));
	$userDuplicates = explode(".", $getAlbum['sa_doppelt']);
	$gettausch = dbquery("SELECT * FROM ".DB_SA_TAUSCH." WHERE tausch_userid='".$userdata['user_id']."' AND tausch_biete_avatar='".$id."'");
	$anzahltausch = dbrows($gettausch);
	$anzahldoppelt = array_count_values($userDuplicates);
	if ($anzahltausch < $anzahldoppelt[$id]) {
		return true;
	} else {
		return false;
	}
}

function getPicName($id) {
	$image_rows = dbcount("(pic_id)", DB_SA_PICS);
	if (album_set('pic_source') == 2 && $image_rows != 0) {
		$data = dbarray(dbquery("SELECT pic_name FROM ".DB_SA_PICS." WHERE pic_id='".$id."'"));
		return $data['pic_name'];
	} else {
		$data = dbarray(dbquery("SELECT user_name FROM ".DB_USERS." WHERE user_id='".$id."'"));
		return $data['user_name'];
	}
}

function getUserName($id) {
		$data = dbarray(dbquery("SELECT user_name FROM ".DB_USERS." WHERE user_id='".$id."'"));
		return $data['user_name'];
}

function getAva($id) {
	$image_rows = dbcount("(pic_id)", DB_SA_PICS);
	if (album_set('pic_source') == 2 && $image_rows != 0) {
		$data = dbarray(dbquery("SELECT pic_file FROM ".DB_SA_PICS." WHERE pic_id='".$id."'"));
		return $data['pic_file'];
	} else {
		$data = dbarray(dbquery("SELECT user_avatar FROM ".DB_USERS." WHERE user_id='".$id."'"));
		return $data['user_avatar'];
	}
}

function anzahlAvas($id) {
	$userAvatars = array();
	$getAlbum = dbarray(dbquery("SELECT * FROM ".DB_USER_SALBUM." WHERE sa_user_id='".$id."'"));
	$userAvatars = explode(".", $getAlbum['sa_avatars']);
	$image_rows = dbcount("(pic_id)", DB_SA_PICS);
	if (album_set('pic_source') == 2 && $image_rows != 0) {
		$alleavatars = dbarray(dbquery("SELECT count(*) as NumAva FROM ".DB_SA_PICS.""));
	} else {
		$alleavatars = dbarray(dbquery("SELECT count(*) as NumAva FROM ".DB_USERS." WHERE user_avatar != ''"));
	}
	
	$gesammelt = (sizeof($userAvatars) <= $alleavatars['NumAva'] ? sizeof($userAvatars) : $alleavatars['NumAva']);
	$style = ($gesammelt == $alleavatars['NumAva'] ? " style='font-weight:bold;'" : "" );
	$anzahl = "<span".$style.">".$gesammelt."/".$alleavatars['NumAva']." (".round(($gesammelt/$alleavatars['NumAva'])*100, 2)."%)</span>";
	return $anzahl;
}

function anzahlDoppelteAvas($id) {
	// $userdopAvatars = array();
	$getAlbum = dbarray(dbquery("SELECT * FROM ".DB_USER_SALBUM." WHERE sa_user_id='".$id."'"));
	$userdopAvatars = ($getAlbum['sa_doppelt'] != "" ? explode(".", $getAlbum['sa_doppelt']) : "");
	if (is_array($userdopAvatars)) {
		$anzahl = sizeof($userdopAvatars);
	} else {
		$anzahl = 0;
	}
	return $anzahl;
}

function getScoreGuthaben_sa($id) {
		$acc_result = dbquery("SELECT * FROM ".DB_SCORE_ACCOUNT." WHERE acc_user_id='".$id."' LIMIT 1");
		if (dbrows($acc_result) && isBanned($id) == false) {
			$acc_data = dbarray($acc_result);
			$acc_score = $acc_data['acc_score'];
			return $acc_score;
		} else {
			return "0";
		}
}

function isBanned($id) {
		$acc_status = dbquery("SELECT * FROM ".DB_SCORE_BAN." WHERE ban_user_id ='".$id."' LIMIT 1");
		if (dbrows($acc_status)) {
			return true;
		} else {
			return false;
		}
}

function album_pagenav($start, $count, $total, $range = 0, $link = "", $rowstart = "rowstart") {

	global $locale;

	if ($link == "") { $link = FUSION_SELF."?"; }

	$pg_cnt = ceil($total / $count);
	if ($pg_cnt <= 1) { return ""; }

	$idx_back = $start - $count;
	$idx_next = $start + $count;
	$cur_page = ceil(($start + 1) / $count);

	$res = $locale['global_092']." ".$cur_page.$locale['global_093'].$pg_cnt.": ";
	if($idx_back >= 0) {
		if($cur_page > ($range + 1)) {
			$res .= "<a href='".$link."".$rowstart."=0'>1</a>...";
		}
	}
	$idx_fst = max($cur_page - $range, 1);
	$idx_lst = min($cur_page + $range, $pg_cnt);
	if ($range == 0) {
		$idx_fst = 1;
		$idx_lst = $pg_cnt;
	}
	for ($i = $idx_fst; $i <= $idx_lst; $i++) {
		$offset_page = ($i - 1) * $count;
		if ($i == $cur_page) {
			$res .= "<span><strong>".$i."</strong></span>";
		} else {
			$res .= "<a href='".$link."".$rowstart."=".$offset_page."'>".$i."</a>";
		}
	}
	if ($idx_next < $total) {
		if ($cur_page < ($pg_cnt - $range)) {
			$res .= "...<a href='".$link."".$rowstart."=".($pg_cnt - 1) * $count."'>".$pg_cnt."</a>\n";
		}
	}

	return "<div class='pagenav'>\n".$res."</div>\n";
}

function albumCopyright() {
	global $locale;
	$string = " ".$locale['MGSA_title']." ".$locale['MGSA_version'];
	$copyright = "<div style='text-align: right;padding:5px;'><a href='http://phpfusion.marcusg.de' target='_blank' title=''><img src='".INFUSIONS."mg_sammelalbum/copyright.php?string=".$string."' border='0' alt='' title='&copy; ".showdate("%Y",time())." by MarcusG' style='height:18px;' /></a></div>";
	return $copyright;
}
?>