<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: MarcusG
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."mg_sammelalbum/infusion_db.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."mg_sammelalbum/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."mg_sammelalbum/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."mg_sammelalbum/locale/German.php";
}

// Infusion general information
$inf_title = $locale['MGSA_title'];
$inf_description = $locale['MGSA_desc'];
$inf_version = $locale['MGSA_version'];
$inf_developer = "MarcusG";
$inf_email = "";
$inf_weburl = "http://phpfusion.marcusg.de";

$inf_folder = "mg_sammelalbum"; // The folder in which the infusion resides.

// Delete any items not required below.
$inf_newtable[1] = DB_USER_SALBUM." (
sa_album_id MEDIUMINT(15) NOT NULL AUTO_INCREMENT,
sa_user_id MEDIUMINT(15) UNSIGNED NOT NULL,
sa_design VARCHAR(30) NOT NULL DEFAULT 'default',
sa_design_bg VARCHAR(30) NOT NULL DEFAULT 'default',
sa_design_anzahl SMALLINT(2) UNSIGNED NOT NULL DEFAULT '8',
sa_avatars TEXT NOT NULL,
sa_doppelt TEXT NOT NULL,
PRIMARY KEY (sa_album_id)
) TYPE=MyISAM;";

$inf_newtable[2] = DB_SA_SETTINGS." (
settings_id SMALLINT(1) UNSIGNED NOT NULL,
album_kosten MEDIUMINT(20) UNSIGNED NOT NULL default '500',
avatar_kosten MEDIUMINT(20) UNSIGNED NOT NULL default '200',
tausch_kosten MEDIUMINT(20) UNSIGNED NOT NULL default '100',
tausch_kosten_proz MEDIUMINT(20) UNSIGNED NOT NULL default '10',
pic_source SMALLINT(1) UNSIGNED NOT NULL default '1',
PRIMARY KEY (settings_id)
) TYPE=MyISAM;";

$inf_newtable[3] = DB_SA_TAUSCH." (
tausch_id MEDIUMINT(15) NOT NULL AUTO_INCREMENT,
tausch_userid MEDIUMINT(15) UNSIGNED NOT NULL,
tausch_suche_avatar VARCHAR(10) NOT NULL DEFAULT '',
tausch_biete_avatar VARCHAR(10) NOT NULL DEFAULT '',
tausch_preis MEDIUMINT(20) UNSIGNED NOT NULL default '200',
PRIMARY KEY (tausch_id)
) TYPE=MyISAM;";

$inf_newtable[4] = DB_SA_PICS." (
pic_id MEDIUMINT(15) NOT NULL AUTO_INCREMENT,
pic_name VARCHAR(50) NOT NULL DEFAULT '',
pic_file VARCHAR(50) NOT NULL DEFAULT '',
PRIMARY KEY (pic_id)
) TYPE=MyISAM;";

$inf_insertdbrow[1] = DB_SA_SETTINGS." SET settings_id = '1', album_kosten = '500', avatar_kosten = '200', tausch_kosten = '100', tausch_kosten_proz = '10', pic_source = '1' ";

$inf_droptable[1] = DB_USER_SALBUM;
$inf_droptable[2] = DB_SA_SETTINGS;
$inf_droptable[3] = DB_SA_TAUSCH;
// $inf_droptable[4] = DB_SA_PICS;

// $inf_altertable[1] = DB_INFUSION_TABLE." ADD etc";

// $inf_deldbrow[1] = "other_table";

$inf_adminpanel[1] = array(
	"title" => $locale['MGSA_admin1'],
	"image" => "mg_sammelalbum.png",
	"panel" => "mg_sammelalbum_admin.php",
	"rights" => "MGSA"
);

$inf_sitelink[1] = array(
	"title" => $locale['MGSA_link1'],
	"url" => "mg_sammelalbum.php",
	"visibility" => "101" // 0 - Guest / 101 - Member / 102 - Admin / 103 - Super Admin.
);
?>