<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: admin_pictures.php
| Author: MarcusG
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

$admin_height = 500; // maximale Hhe hochgeladener Bilder in px
$admin_width = 500; // maximale Breite hochgeladener Bilder in px

$erlaubte_uploads = 5; // Anzahl Uploadfelder im Formular


if(isset($_POST['save_edit'])) {
	$pic_id = stripinput($_POST['pic_id']);
	$pic_name = stripinput($_POST['pic_name']);

	$result = dbquery("UPDATE ".DB_SA_PICS." SET pic_name = '".$pic_name."' WHERE pic_id = '".$pic_id."'");

	redirect(FUSION_SELF.$aidlink."&section=pictures&amp;rowstart=".$_GET['rowstart']."&amp;success=true");

} elseif (isset($_GET['delimage'])) {
	$pic_id = stripinput($_GET['pic_id']);
	$data = dbarray(dbquery("SELECT * FROM ".DB_SA_PICS." WHERE pic_id = '".$pic_id."'"));
	$datei = $data['pic_file'];
	$pfad = IMAGES."sammelalbum/";
		if(is_writable(IMAGES."sammelalbum")) {
			@unlink($pfad.$datei);
			$result = dbquery("DELETE FROM ".DB_SA_PICS." WHERE pic_id = '".$pic_id."'");
			redirect(FUSION_SELF.$aidlink."&section=pictures&amp;delimagesuccess=true");
		} else {
			$error = $locale['MGSA_800']." ".$pfad."";
			redirect(FUSION_SELF.$aidlink."&section=pictures&amp;error=".$error."");
		}
} elseif (isset($_GET['del_all_image'])) {
	$pfad = IMAGES."sammelalbum/";
	$result = dbquery("SELECT * FROM ".DB_SA_PICS."");
	if (dbrows($result)) {

		while ($data = dbarray($result)) {
			$datei = $data['pic_file'];
			if(is_writable(IMAGES."sammelalbum")) {
				@unlink($pfad.$datei);
				$delete = dbquery("DELETE FROM ".DB_SA_PICS." WHERE pic_id = '".$data['pic_id']."'");
			} else {
				$error = $locale['MGSA_800']." ".$pfad."";
				redirect(FUSION_SELF.$aidlink."&section=pictures&amp;error=".$error."");
			}
		}
		redirect(FUSION_SELF.$aidlink."&section=pictures&amp;delallimagesuccess=true");
	}
} elseif(isset($_POST['save_pictures'])) {

	$pfad = IMAGES."sammelalbum/";
	$allowed_filetypes = array('.jpg','.jpeg','.gif','.png'); // These will be the types of file that will pass the validation.

	$filecount = $_POST['filecount'];
	// start for loop
	$file_ok = "";
	$file_error = "";
	for ($x=0; $x < $filecount; $x++) {
		$pic_name = ($_POST['pic_name'. $x] != "" ? stripinput($_POST['pic_name'. $x]) : "");
		$file_name = $_FILES['pic_file'. $x]['name'];
		$ext = strtolower(substr($file_name, strpos($file_name,'.'), strlen($file_name)-1)); // Get the extension from the filename.

		// Check if the filetype is allowed, if not DIE and inform the user.
		if(!in_array($ext,$allowed_filetypes) && $ext != "") {
			$file_error .= $file_name." >> Der Dateityp ist nicht erlaubt.<br />";
		} else {

			srand(microtime()*1000000);
			$zufall = rand(1,10000000);
			$pref = sprintf("%08s", $zufall);
			$file_name = stripslashes($file_name);
			$suche = array(" ", "'", "(", ")", "[", "]", "", "$", "%", "&", "=", "?", ";", ":", "-");
			$ersetze = "_";
			$file_name = str_replace($suche, $ersetze,$file_name);
			$file_name = $pref."_".$x.$ext;
			$copy = @move_uploaded_file($_FILES['pic_file'. $x]['tmp_name'],$pfad . "temp_".$file_name);

				// Examine whether the image in the size needs to be changed
				$size = @GetImageSize($pfad . "temp_".$file_name);
				$width = $size[0];
				$height = $size[1];

				// $admin_height = 500; // maximale Hhe hochgeladener Bilder in px
				// $admin_width = 500; // maximale Breite hochgeladener Bilder in px

				if ($height > $admin_height && $width > $admin_width) {
					$resize = "both";
				} elseif ($height > $admin_height) {
					$resize = "height";
				} elseif ($width > $admin_width) {
					$resize = "width";
				} else {
					$resize = "none";
				}
				switch ($resize) {
					case "both":
						$new_height = $admin_height;
						$new_width = $admin_width;
						include_once(INFUSIONS."mg_sammelalbum/includes/SimpleImage.php");
						$image = new SimpleImage();
						$image->load($pfad . "temp_".$file_name);
						$image->resizeToHeight($new_height);
						$image->save($pfad . "resize_".$file_name);
						$size_new = @GetImageSize($pfad . "resize_".$file_name);
						$width_new = $size_new[0];
						$height_new = $size_new[1];
						if ($width_new > $admin_width) {
						$image = new SimpleImage();
						$image->load($pfad . "resize_".$file_name);
						$image->resizeToWidth($new_width);
						$image->save($pfad . "resize_".$file_name);
						}
						rename ($pfad . "resize_".$file_name, $pfad . $file_name);
						@unlink($pfad . "temp_".$file_name);
					break;
					case "height":
						$new_height = $admin_height;
						include_once(INFUSIONS."mg_sammelalbum/includes/SimpleImage.php");
						$image = new SimpleImage();
						$image->load($pfad . "temp_".$file_name);
						$image->resizeToHeight($new_height);
						$image->save($pfad . $file_name);
						@unlink($pfad . "temp_".$file_name);
					break;
					case "width":
						$new_width = $admin_width;
						include_once(INFUSIONS."mg_sammelalbum/includes/SimpleImage.php");
						$image = new SimpleImage();
						$image->load($pfad . "temp_".$file_name);
						$image->resizeToWidth($new_width);
						$image->save($pfad . $file_name);
						@unlink($pfad . "temp_".$file_name);
					break;
					case "none":
						rename ($pfad . "temp_".$file_name, $pfad . $file_name);
						chmod($pfad.$file_name, 0777);
					break;
				}

				if (!verify_image($pfad . $file_name)) {
					@unlink($pfad.$file_name);
					redirect(FUSION_SELF.$aidlink."&amp;section=pictures&amp;sec_error=true");
				}
		 // check if successfully copied
			if ($copy) {
				$file_ok .= $file_name." >> ".$locale['MGSA_801']."<br />";
				$pic_name = ($_POST['pic_name'. $x] != "" ? stripinput($_POST['pic_name'. $x]) : substr($file_name, 0, -4));
				$result = dbquery("INSERT INTO ".DB_SA_PICS." SET pic_name = '".$pic_name."', pic_file = '".$file_name."'");
				//echo "$file_name | uploaded sucessfully!<br>";
			} else {
				$file_error .= ($file_name != $pref."_".$x.$ext ? $file_name." >> ".$locale['MGSA_802']."<br />" : "");
				//echo "$file_name | could not be uploaded!<br>";
			}
		}
	}
 // end of loop";
	redirect(FUSION_SELF.$aidlink."&amp;section=pictures&amp;imagecopy=true&amp;file_ok=".$file_ok."&amp;file_error=".$file_error."");

} else {
	if (isset($_GET['success'])) {
		echo "<div class='album_success'><br />".$locale['MGSA_803']."<br /><br /></div>";
	}
	if (isset($_GET['sec_error'])) {
		echo "<div class='album_error'><br />".$locale['MGSA_804']."<br /><br /></div>";
	}
	if (isset($_GET['error'])) {
		$error = $_GET['error'];
		echo "<div class='album_error'><br />".$error."<br /><br /></div>";
	}
	if (isset($_GET['delimagesuccess'])) {
		echo "<div class='album_success'><br />".$locale['MGSA_805']."<br /><br /></div>";
	}
	if (isset($_GET['delallimagesuccess'])) {
		echo "<div class='album_success'><br />".$locale['MGSA_806']."<br /><br /></div>";
	}
	if (isset($_GET['imagecopy'])) {
	$file_ok = $_GET['file_ok'];
	$file_error = $_GET['file_error'];
	if ($file_ok != "") {
		echo "<div class='album_success'><br /><img src='".INFUSIONS."mg_sammelalbum/images/ok.png' /><br />".$file_ok."<br /><br /></div>";
	}
	if ($file_error != "") {
		echo "<div class='album_error'><br /><img src='".INFUSIONS."mg_sammelalbum/images/not_ok.png' /><br />".$file_error."<br /><br /></div>";
	}
	}


// $erlaubte_uploads = 5;

$dateicount = 0;
$uploadrowout = "";
for ($i=0; $i<$erlaubte_uploads; $i++) {
$class = ($i%2 ? "tbl2" : "tbl1");
$dateicount++;
$uploadrowout .= "
		<tr class='".$class."'>
			<td style='text-align:right;'>".$locale['MGSA_807']." ".$dateicount.":</td>
			<td style='text-align:left;'><input name='pic_file".$i."' type='file' class='textbox' id='pic_file".$i."' size='60' /></td>
		</tr>
		<tr class='".$class."'>
			<td style='text-align:right;'>".$locale['MGSA_808']." ".$dateicount.":</td>
			<td style='text-align:left;'><input type='text' class='textbox' name='pic_name".$i."' style='width:150px;' />&nbsp;(".$locale['MGSA_809'].")
		</tr>\n";
}
echo "<div id='uploadform' class='uploadform'>";
echo "<form name='newpicsform' enctype='multipart/form-data' method='post' action='".FUSION_SELF.$aidlink."&section=pictures'>";
echo "<table class='tbl-border center' cellpadding='3' cellspacing='0' width='100%'>
		<tr>
			<td class='tbl2' colspan='2' style='font-weight:bold; text-align:center;'>".$locale['MGSA_810']."<br /><span class='small'>(".sprintf($locale['MGSA_811'], $admin_width, $admin_height, $admin_width, $admin_height).")</span></td>
		</tr>";

echo $uploadrowout;

  echo "<tr>
			<td class='tbl2' colspan='2' style='font-weight:bold; text-align:center;'>
				<input name='filecount' type='hidden' value='".$erlaubte_uploads."' />
				<input type='submit' class='button' name='save_pictures' value='".$locale['MGSA_812']."' />&nbsp;
				<input type='button' class='button' value='".$locale['MGSA_813']."' id='abort' />
			</td>
		</tr>";

echo "</table>
	</form>
</div>";


$items_per_page = 10;

if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) {
	$_GET['rowstart'] = 0;
}

$rows = dbcount("(pic_id)", DB_SA_PICS);

echo "<br /><table class='tbl-border center' cellpadding='3' cellspacing='0' width='600px'>
		<tr>
			<td class='tbl2' colspan='5' style='font-weight:bold; text-align:center;'>
				<a onclick=\"return confirm('".$locale['MGSA_814']."');\" href='".FUSION_SELF.$aidlink."&amp;section=pictures&amp;del_all_image=true'><img src='".INFUSIONS."mg_sammelalbum/images/delete_all.png' title='".$locale['MGSA_815']."' style='float:right;border:none; vertical-align:middle; padding:3px;' /></a>
				<a id='addimages' style='cursor:pointer;cursor:hand;'><img src='".INFUSIONS."mg_sammelalbum/images/new.png' alt='".$locale['MGSA_816']."' title='".$locale['MGSA_816']."' style='float:right;margin-left:-24px;border:none; vertical-align:middle; padding:3px;' /></a>".$locale['MGSA_817']." (".$rows.")
			</td>
		</tr>
		<tr class='tbl2' style='font-weight:bold; text-align:center;'>
			<td style='width:1%;'>".$locale['MGSA_818']."</td>
			<td>".$locale['MGSA_819']."</td>
			<td>".$locale['MGSA_820']."</td>
			<td style='width:5%;'>".$locale['MGSA_821']."</td>
			<td style='width:1%;'>".$locale['MGSA_822']."</td>
		</tr>";
	if ($rows > $items_per_page) {
		echo "<tr><td class='tbl2' colspan='5' style='text-align:center;'>".makepagenav($_GET['rowstart'], $items_per_page, $rows, 3, FUSION_SELF.$aidlink."&amp;section=pictures&amp;")."</td></tr>";
	}
	$result = dbquery("SELECT * FROM ".DB_SA_PICS." ORDER BY pic_id LIMIT ".$_GET['rowstart'].", ".$items_per_page."");
	if (dbrows($result)) {
	$tip_script = "<script type='text/javascript'>\n$(document).ready(function() {\n";
		$i = 0;
		while ($data = dbarray($result)) {
		$tip_script .= '$("#pic_info'.$data['pic_id'].'").tooltip({tip:"#pic_infos'.$data['pic_id'].'", position:"top right", effect:"fade", fadeInSpeed:500, fadeOutSpeed:500});';
		$class = ($i%2 ? "tbl2" : "tbl1");
			echo "<tr class='".$class."' style='text-align:center;'>";
			echo "<td>".$data['pic_id']."</td>
				<td style='vertical-align:middle;'><a id='picture_edit".$data['pic_id']."' style='cursor:pointer;cursor:hand;'><img src='".INFUSIONS."mg_sammelalbum/images/picture_edit.png' alt='".$locale['MGSA_823']."' title='".$locale['MGSA_823']."' style='float:right; margin-left:-16px; border:none; vertical-align:middle;' /></a>
					".$data['pic_name']."
					<div class='imageedit' id='imageedit".$data['pic_id']."'><b>".$locale['MGSA_824'].":</b><br />
					<form name='edit_form' method='post' action='".FUSION_SELF.$aidlink."&amp;section=pictures&amp;rowstart=".$_GET['rowstart']."'>
					<input type='text' class='textbox' name='pic_name' value='".$data['pic_name']."' style='width:200px;' />&nbsp;
					<input name='pic_id' type='hidden' value='".$data['pic_id']."' />
					<input type='submit' class='button' name='save_edit' value='".$locale['MGSA_825']."' />&nbsp;
					<input type='button' class='button' value='".$locale['MGSA_813']."' id='editabort".$data['pic_id']."' />
					</form>
					</div>
				</td>
				<td>".$data['pic_file']."</td>
				<td><a id='pic_info".$data['pic_id']."'><img class='midi_ava' src='".IMAGES."sammelalbum/".$data['pic_file']."' /></a>
				<div id='pic_infos".$data['pic_id']."' class='album_dup_tooltips'><img src='".IMAGES."sammelalbum/".$data['pic_file']."' /></div></td>
				<td><a onclick=\"return confirm('".$locale['MGSA_826']."');\" href='".FUSION_SELF.$aidlink."&amp;section=pictures&amp;delimage=true&pic_id=".$data['pic_id']."'><img src='".INFUSIONS."mg_sammelalbum/images/picture_delete.png' title='".$locale['MGSA_827']."'/></a></td>";
			echo "</tr>";
			$i++;
		echo "<script type='text/javascript'>\n$(function() {\n
			$('#picture_edit".$data['pic_id']."').click(function() {
			$('#imageedit".$data['pic_id']."').slideToggle('slow');
			$('.imageedit:not(#imageedit".$data['pic_id'].")').slideUp('slow');
			$('#uploadform').slideUp('slow');
			});
			$('#editabort".$data['pic_id']."').click(function() {
			$('#imageedit".$data['pic_id']."').slideUp('slow');
			});
		});
		</script>";
		}
		$tip_script .= "});\n</script>";
		add_to_head($tip_script);


	} else {
		echo "<tr><td class='tbl1' colspan='5' style='text-align:center;'>".$locale['MGSA_828']."</td></tr>";
	}
	if ($rows > $items_per_page) {
		echo "<tr><td class='tbl2' colspan='5' style='text-align:center;'>".makepagenav($_GET['rowstart'], $items_per_page, $rows, 3, FUSION_SELF.$aidlink."&amp;section=pictures&amp;")."</td></tr>";
	}
echo "</table>";
}
echo "
<script type='text/javascript'>
	$(function() {
	$('#addimages').click(function() {
	$('#uploadform').slideToggle('slow');
	$('.imageedit').slideUp('slow');
	});
	$('#abort').click(function() {
	$('#uploadform').slideUp('slow');
	});
	});
</script>";
?>