<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: mg_sammelalbum.php
| Author: MarcusG
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";

// Turn off all error reporting
error_reporting(0);
// Report all PHP errors (see changelog)
//error_reporting(E_ALL);
//error_reporting(E_ALL & ~E_NOTICE);

include INFUSIONS."mg_sammelalbum/infusion_db.php";
include INFUSIONS."mg_sammelalbum/includes/functions.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."mg_sammelalbum/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."mg_sammelalbum/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."mg_sammelalbum/locale/German.php";
}

add_to_head("
<link rel='stylesheet' type='text/css' href='".INFUSIONS."mg_sammelalbum/includes/mg_sammelalbum.css' />\n
<script type='text/javascript' src='".INFUSIONS."mg_sammelalbum/includes/jquery-1.4.2.min.js'></script>
<script type='text/javascript' src='".INFUSIONS."mg_sammelalbum/includes/tools.tooltip-1.1.3.min.js'></script>\n
");


if(isset($_GET['section']))
{
$section = stripinput($_GET['section']);
} else {
$section = "album";
}

if (defined("SCORESYSTEM")) {
if (iMEMBER) {
	echo "
<script type='text/javascript'>
$(document).ready(function() {
	$('#sa_options').hide();
	});
	$(function() {
	$('#h_toggle').click(function() {
	$('#sa_heading').slideToggle('slow');
	$('#sa_options').slideToggle('slow');
	});
	});
	$(function() {
	$('#h_toggle_ok').click(function() {
	$('#sa_heading').slideToggle('slow');
	$('#sa_options').slideToggle('slow');
	});
	});
</script>";

	$user_id = $userdata['user_id'];
	add_to_head("<link rel='stylesheet' type='text/css' href='".INFUSIONS."mg_sammelalbum/designs/".getStyle($user_id).".css' />");
	add_to_head("<link rel='stylesheet' type='text/css' href='".INFUSIONS."mg_sammelalbum/designs/backgrounds/".getBG($user_id).".css' />");

	$album = dbquery("SELECT * FROM ".DB_USER_SALBUM." WHERE sa_user_id='".$user_id."'");
	if (dbrows($album)) { // Album ffnen

		if (isset($_POST['change_design'])) {
			$sa_design = stripinput($_POST['sa_design']);
			$sa_design = substr($sa_design, 0, -4);
			$sa_design_bg = stripinput($_POST['sa_design_bg']);
			$sa_design_bg = substr($sa_design_bg, 0, -4);
			$sa_design_anzahl = stripinput($_POST['sa_design_anzahl']);
			$result = dbquery("UPDATE ".DB_USER_SALBUM." SET
			sa_design='".$sa_design."',
			sa_design_bg='".$sa_design_bg."',
			sa_design_anzahl='".$sa_design_anzahl."'
			WHERE sa_user_id='".$user_id."'");
			redirect(FUSION_SELF."?section=album");
		} elseif (album_set('pic_source') == 1 && $userdata['user_avatar'] == "") {
			opentable($locale['MGSA_err11']);
			echo "<div style='text-align:center;color:red;font-weight:bold;'><img src='".INFUSIONS."mg_sammelalbum/images/error.png' title='Error!' style='padding:15px;' /><br /><br /><a href='".BASEDIR."edit_profile.php'>".$locale['MGSA_err13']."</a><br /><br /></div>";
			closetable();
			} else {
			opentable($locale['MGSA_001']);
			$image_rows = dbcount("(pic_id)", DB_SA_PICS);
			if (album_set('pic_source') == 2 && $image_rows != 0) { // eigene Bilder
				$ueberschrift = $locale['MGSA_004'];
				$text = "".$locale['MGSA_005'].".<br />
				".$locale['MGSA_006']."<br /><br />";
			} else {
				$ueberschrift = $locale['MGSA_007'];
				$text = "".$locale['MGSA_005']." ".$locale['MGSA_008']."<br />".$locale['MGSA_009']."";
			}
			echo "<div class='sa_top'>";
			echo "<div id='sa_heading'>
				<a id='h_toggle'><img style='float:right;cursor:pointer;' src='".INFUSIONS."mg_sammelalbum/images/settings.png' alt='".$locale['MGSA_010']."' title='".$locale['MGSA_010']."' /></a>
				<span style='font-weight:bold;font-size:26px;margin-right:-32px;'>".$ueberschrift."</span><br />".$text."";


$tausch_rows = dbrows(dbquery("SELECT * FROM ".DB_SA_TAUSCH." WHERE tausch_userid != '".$userdata['user_id']."'"));
echo "<table class='top_navi' cellpadding='5' cellspacing='0'>";
echo "<tr>

<td width='33%' class='".($section == "album" ? "td1" : "td2")."' align='center'>".($section == "album" ? "<strong>".$locale['MGSA_011']."</strong>" : "<a href='".FUSION_SELF."?section=album'><strong>".$locale['MGSA_011']."</strong></a>")."</td>

<td width='33%' class='".($section == "doppelte" ? "td1" : "td2")."' align='center'>".($section == "doppelte" ? "<strong>".$locale['MGSA_012']." (".anzahlDoppelteAvas($user_id).")</strong>" : "<a href='".FUSION_SELF."?section=doppelte'><strong>".$locale['MGSA_012']." (".anzahlDoppelteAvas($user_id).")</strong></a>")."</td>

<td width='33%' class='".($section == "tauschen" || $section == "tauschen_indiv" ? "td1" : "td2")."' align='center'>".($section == "tauschen" || $section == "tauschen_indiv" ? "<strong>".$locale['MGSA_013']." (".$tausch_rows.")</strong>" : "<a href='".FUSION_SELF."?section=tauschen'><strong>".$locale['MGSA_013']." (".$tausch_rows.")</strong></a>")."</td>

</tr>
</table>";
		echo "</div>";
		echo "<div id='sa_options'>
			<a id='h_toggle_ok'><img style='float:right;cursor:pointer;margin-left:-32px;' src='".INFUSIONS."mg_sammelalbum/images/settings_ok.png' alt='".$locale['MGSA_014']."' title='".$locale['MGSA_014']."' /></a>";
		echo "<span style='font-weight:bold;'>".$locale['MGSA_010']."</span>
			<form name='design_form' id='design_form' method='post' action='".FUSION_SELF."?section=album'>";
			echo "<table class='tbl center' cellpadding='1' cellspacing='0'>";
			$designs = makefilelist(INFUSIONS."mg_sammelalbum/designs/", ".|..|index.php", true, "files");
			echo "<tr>
					<td style='text-align:right;'>".$locale['MGSA_015'].":</td>
					<td style='text-align:left;'>
						<select name='sa_design' id='sa_design' class='textbox' style='width:120px;'>
						".makefileopts($designs, getStyle($user_id).".css")."
						</select>
					</td>
					<td rowspan='3'><button name='change_design' type='submit' value=' ".$locale['MGSA_ok']." '><img src='".INFUSIONS."mg_sammelalbum/images/ok.png' alt='".$locale['MGSA_ok']."' title='".$locale['MGSA_ok']."' /></button></td>
				</tr>";
		$backgrounds = makefilelist(INFUSIONS."mg_sammelalbum/designs/backgrounds/", ".|..|index.php", true, "files");
			echo "<tr>
					<td style='text-align:right;'>".$locale['MGSA_016'].":</td>
					<td style='text-align:left;'>
						<select name='sa_design_bg' id='sa_design_bg' class='textbox' style='width:120px;'>
							".makefileopts($backgrounds, getBG($user_id).".css")."
						</select>
					</td>
				</tr>";
			echo "<tr>
					<td style='text-align:right;'>".$locale['MGSA_017']." ".(album_set('pic_source') == 1 ? $locale['MGSA_avas'] : $locale['MGSA_pics'])." ".$locale['MGSA_018'].":</td>
					<td style='text-align:left;'>
						<select name='sa_design_anzahl' id='sa_design_anzahl' class='textbox' style='width:120px;'>
							<option value='0'".(user_set("sa_design_anzahl", $user_id) == 0 ? " selected" : "").">".$locale['MGSA_019']."</option>";
							for ($i = 4; $i <= 60; $i = $i + 4) {
							echo "<option value='".$i."'".(user_set("sa_design_anzahl", $user_id) == $i ? " selected" : "").">".$i."</option>";
							}
			echo "		</select>
					</td>
				</tr>
			</table>";
		echo "</form>";
		echo "<span>".$locale['MGSA_020']." <a href='".FUSION_SELF."?check_up=true'>".$locale['MGSA_021']."</a> (".$locale['MGSA_022']." ".(album_set('pic_source') == 1 ? $locale['MGSA_023'] : $locale['MGSA_024'])." ".$locale['MGSA_025'].")</span>";
		echo "</div>";
		echo "</div>";

switch ($section) {
case "album" :
	include (INFUSIONS."mg_sammelalbum/album.php");
break;
case "doppelte" :
	include (INFUSIONS."mg_sammelalbum/doppelte.php");
break;
case "tauschen" :
	include (INFUSIONS."mg_sammelalbum/tauschboerse.php");
break;
case "tauschen_indiv" :
	include (INFUSIONS."mg_sammelalbum/my_tauschboerse.php");
break;
}
		closetable();
		}
	} else { // Album kaufen
		if (isset($_POST['album_kaufen'])) {
			$image_rows = dbcount("(pic_id)", DB_SA_PICS);
			if (album_set('pic_source') == 2 && $image_rows != 0) {
				$random_image = dbarray(dbquery("SELECT pic_id FROM ".DB_SA_PICS." ORDER BY RAND() LIMIT 1"));
				$pic = $random_image['pic_id'];
			} else {
				$random_image = dbarray(dbquery("SELECT user_id FROM ".DB_USERS." WHERE user_avatar!='' ORDER BY RAND() LIMIT 1"));
				$pic = $random_image['user_id'];
			}
			$result = dbquery("INSERT INTO ".DB_USER_SALBUM." SET
				sa_user_id='".$user_id."',
				sa_design='default',
				sa_design_bg='default',
				sa_avatars='".$pic."',
				sa_doppelt=''
			");
			score_free($locale['MGSA_score1'], "MGSA", album_set('album_kosten'), 1000, "N", 0, $user_id);
			redirect(FUSION_SELF."?section=album");
		} else {
			if (getScoreGuthaben_sa($user_id) >= album_set('album_kosten')) {
			opentable($locale['MGSA_002']);
			$image_rows = dbcount("(pic_id)", DB_SA_PICS);
			if (album_set('pic_source') == 2 && $image_rows != 0) { // eigene Bilder
				$ueberschrift = $locale['MGSA_004'];
				$text = "".$locale['MGSA_005']."<br />
				".$locale['MGSA_006']."";
			} else {
				$ueberschrift = $locale['MGSA_007'];
				$text = "".$locale['MGSA_005']." ".$locale['MGSA_008']."<br />".$locale['MGSA_009']."";
			}
			echo "<form name='albumkaufen_form' method='post' action='".FUSION_SELF."?section=album'>";
			echo "<table class='tbl-border center' cellpadding='3' cellspacing='0' width='550px'>
					<tr class='tbl1' style='text-align:center;'>
						<td colspan='2'>
							<span style='font-weight:bold;font-size:26px;'>".$ueberschrift."</span><br />".$text."
						</td>
					</tr>";
			echo "<tr class='tbl1' style='text-align:center;'>
					<td><input type='submit' class='button' name='album_kaufen' value='".sprintf($locale['MGSA_026'], album_set('album_kosten'))."' /></td>
				</tr>";

			echo "</table>
				</form>";
			closetable();
			} elseif (album_set('pic_source') == 1 && $userdata['user_avatar'] == "") {
				opentable($locale['MGSA_err11']);
				echo "<div style='text-align:center;color:red;font-weight:bold;'><img src='".INFUSIONS."mg_sammelalbum/images/error.png' title='Error!' style='padding:15px;' /><br /><br /><a href='".BASEDIR."edit_profile.php'>".$locale['MGSA_err12']."</a><br /><br /></div>";
				closetable();
			} else {
				opentable($locale['MGSA_err08']);
				echo "<div style='text-align:center;color:red;font-weight:bold;'><img src='".INFUSIONS."mg_sammelalbum/images/error.png' title='Error!' style='padding:15px;' /><br /><br />".sprintf($locale['MGSA_err09'], album_set('album_kosten'))."<br /><br /></div>";
				closetable();
			}
		}
	}
	opentable($locale['MGSA_003']);

$alben_per_page = 10;

if (!isset($_GET['albenrowstart']) || !isnum($_GET['albenrowstart'])) {

	$_GET['albenrowstart'] = 0;

}

$alben_rows = dbcount("(sa_user_id)", DB_USER_SALBUM);
$image_rows = dbcount("(pic_id)", DB_SA_PICS);
	$result = dbquery("SELECT album.*, user.user_id, user.user_name FROM ".DB_USER_SALBUM." as album
		LEFT JOIN ".DB_USERS." as user
		ON album.sa_user_id=user.user_id
		ORDER BY user.user_name ASC
		LIMIT ".$_GET['albenrowstart'].",".$alben_per_page."");
	echo "<table class='tbl-border center' cellpadding='3' cellspacing='0' width='40%'>";
	echo "<tr class='tbl2' style='font-weight:bold;'>
			<td>".$locale['MGSA_027']."</td>
			<td>";
			if (album_set('pic_source') == 2 && $image_rows != 0) {
				echo $locale['MGSA_pics'];
			} else {
				echo $locale['MGSA_avas'];
			}
			echo "</td>
			<td width='10%'>".$locale['MGSA_028']."</td>
		</tr>";
	if (dbrows($result)) {
	$tip_script = "<script type='text/javascript'>\n$(document).ready(function() {\n";
	$i = 1;
	while($data = dbarray($result)) {
	$tip_script .= '$("#doppelte_info'.$data['sa_user_id'].'").tooltip({tip:"#doppelte_infos'.$data['sa_user_id'].'", position:"bottom center", effect:"fade", fadeInSpeed:500, fadeOutSpeed:500});';
	$class=($i%2 ? "tbl1" : "tbl2");
		echo "<tr class='".$class."'>
				<td><a href='".BASEDIR."profile.php?lookup=".$data['sa_user_id']."' title='".sprintf($locale['MGSA_034'], getScoreGuthaben_sa($data['sa_user_id']))."'>".$data['user_name']."</a></td>
				<td>".anzahlAvas($data['sa_user_id'])."</td>
				<td style='text-align:center;'>".anzahlDoppelteAvas($data['sa_user_id']);

				if (anzahlDoppelteAvas($data['sa_user_id']) != 0) {
				echo "&nbsp;&nbsp;<a id='doppelte_info".$data['sa_user_id']."'><img src='".INFUSIONS."mg_sammelalbum/images/doppelte_tooltip.png' style='vertical-align:middle;' /></a>
	<div id='doppelte_infos".$data['sa_user_id']."' class='album_tooltips'><b>".$locale['MGSA_029']." ".$data['user_name'].":</b><br />";
		$getAlbum = dbarray(dbquery("SELECT * FROM ".DB_USER_SALBUM." WHERE sa_user_id='".$data['sa_user_id']."'"));
		$userduplicates = ($getAlbum['sa_doppelt'] != "" ? explode(".", $getAlbum['sa_doppelt']) : "");
			sort($userduplicates);
			foreach ($userduplicates as $duplicate) {
			if (album_set('pic_source') == 2 && $image_rows != 0) {
				$getAva = dbarray(dbquery("SELECT * FROM ".DB_SA_PICS." WHERE pic_id = '".$duplicate."'"));
				$name = $getAva['pic_name'];
				if ($getAva['pic_id'] == "") {
					$name = $locale['MGSA_030'];
					$getAva['pic_file'] = "";
				}
				if ($getAva['pic_file'] != "" && file_exists(IMAGES."sammelalbum/".$getAva['pic_file'])) {
					$showAva = "<img src='".IMAGES."sammelalbum/".$getAva['pic_file']."' class='mini_ava' />";
				} else {
					$showAva = "<img src='".INFUSIONS."mg_sammelalbum/images/no_image.png' class='mini_ava' />";
				}

			} else {
				$getAva = dbarray(dbquery("SELECT user_avatar, user_id, user_name FROM ".DB_USERS." WHERE user_id = '".$duplicate."'"));
				$name = $getAva['user_name'];
				if ($getAva['user_id'] == "") {
					$name = $locale['MGSA_031'];
					$getAva['user_avatar'] = "";
				}
				if ($getAva['user_avatar'] != "" && file_exists(IMAGES."avatars/".$getAva['user_avatar'])) {
					$showAva = "<img src='".IMAGES."avatars/".$getAva['user_avatar']."' class='mini_ava' />";
				} else {
					$showAva = "<img src='".INFUSIONS."mg_sammelalbum/images/noavatar.gif' class='mini_ava' />";
				}
			}
				echo "<div class='dup_list'>".($i <= 10 ? $showAva."&nbsp;" : "")."<em><b># ".$duplicate."</b>&nbsp;(".$name.")</em></div>";
			}

	echo "</div>";
		}
		echo "</td>
			</tr>";
		$i++;
	}
	$tip_script .= "});\n</script>";
	add_to_head($tip_script);

if ($alben_rows > $alben_per_page) {
	echo "<tr class='tbl2'><td colspan='3' style='text-align:center;margin-top:5px;'>".album_pagenav($_GET['albenrowstart'], $alben_per_page, $alben_rows, 3, "", "albenrowstart")."</td></tr>";
	}
	} else {
		echo "<tr class='tbl2'><td colspan='3' style='text-align:center;margin-top:5px;'>".$locale['MGSA_032']."</td></tr>";
	}
	echo "</table>";
	closetable();
} else {
	opentable($locale['MGSA_err01']);
	echo "<div style='text-align:center;'><img src='".INFUSIONS."mg_sammelalbum/images/stop.png' title='Stop!' style='padding:15px;' /><br /><br />".$locale['MGSA_err02']."<br /><br />
	<img src='".THEME."images/bullet.gif' /><a href='".BASEDIR."register.php'> ".$locale['MGSA_err03']." </a><img src='".THEME."images/bulletb.gif' /><br />
	<img src='".THEME."images/bullet.gif' /><a href='".BASEDIR."lostpassword.php'> ".$locale['MGSA_err04']." </a><img src='".THEME."images/bulletb.gif' /><br />
	<img src='".THEME."images/bullet.gif' /><a href='".BASEDIR."login.php'> ".$locale['MGSA_err05']." </a><img src='".THEME."images/bulletb.gif' /><br /><br /></div>\n";
	closetable();
}
} else {
	opentable($locale['MGSA_err06']);
	echo "<div style='text-align:center;color:red;font-weight:bold;'><img src='".INFUSIONS."mg_sammelalbum/images/error.png' title='Error!' style='padding:15px;' /><br /><br />".$locale['MGSA_err07']."<br /><br /></div>";
	closetable();
}
echo albumCopyright();
require_once THEMES."templates/footer.php";
?>